package com.gree.mall.manager.commonmapper.luckdraw;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.manager.bean.activity.luckdraw.PromotionLuckDrawCodeBean;
import com.gree.mall.manager.bean.activity.luckdraw.PromotionLuckDrawList;
import com.gree.mall.manager.bean.count.CountBean;
import com.gree.mall.manager.bean.count.CountOrderBean;
import com.gree.mall.manager.bean.count.GoodsRankBean;
import com.gree.mall.manager.bean.exchange.GiftExchangeCodeBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface LuckDrawMapper {


    /**
     * 抽奖活动列表
     */
    @SqlParser(filter = true)
    public IPage<PromotionLuckDrawList> queryList(IPage page,
                                                 @Param("name") String name,
                                                 @Param("status") Boolean status,
                                                  @Param("companyWechatIds") List<String> companyWechatIds);


    /**
     * 兑换记录列表
     */
    @SqlParser(filter = true)
    public IPage<PromotionLuckDrawCodeBean> queryLuckDrawCodeList(IPage page,
                                                                 @Param("promotionLuckDrawId") String promotionLuckDrawId,
                                                                 @Param("promotinLuckDrawCouponId") String promotinLuckDrawCouponId,
                                                                 @Param("code") String code,
                                                                 @Param("name") String name,
                                                                 @Param("mobile") String mobile,
                                                                 @Param("exchangeStartTime") String exchangeStartTime,
                                                                 @Param("exchangeEndTime") String exchangeEndTime,
                                                                 @Param("useStartTime") String useStartTime,
                                                                 @Param("useEndTime") String useEndTime,
                                                                 @Param("orderId") String orderId,
                                                                 @Param("couponName") String couponName,
                                                                 @Param("status2") Integer status2,
                                                                  @Param("companyWechatIds") List<String> companyWechatIds);



}
